Crawlzodocs
API referenceTikTok

TikTok music info

Metadata for one sound, title, artist, album art, duration, usage count.

POST
/v1/scrapers/tiktok-music-info-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/tiktok-music-info-v4" \  -H "Content-Type: application/json" \  -d '{    "music": "7002634556977908485"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "music_info": {      "album": null,      "author": "🇺🇸",      "cover_large": {        "height": null,        "uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2",        "url_list": [          "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2"        ],        "url_prefix": null,        "width": null      },      "cover_medium": {        "height": null,        "uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2",        "url_list": [          "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2"        ],        "url_prefix": null,        "width": null      },      "cover_thumb": {        "height": null,        "uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2",        "url_list": [          "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7350346788798218286~tplv-tiktokx-cropcenter:720:720.webp?dr=14579&refresh_token=6f97da8b&x-expires=1787572800&x-signature=yl%2BKT6GDgzALq0lNJB%2F2QoOQ3fQ%3D&t=4d5b0474&ps=13740610&shp=544a444f&shcp=f6441914&idc=my2"        ],        "url_prefix": null,        "width": null      },      "duration": 6,      "id": "7002634556977908485",      "id_str": "7002634556977908485",      "is_original": true,      "is_original_sound": true,      "mid": "7002634556977908485",      "owner_nickname": "🇺🇸",      "play_url": {        "height": null,        "uri": "https://sf16-ies-music-va.tiktokcdn.com/obj/musically-maliva-obj/7002634676770999045.mp3",        "url_list": [          "https://sf16-ies-music-va.tiktokcdn.com/obj/musically-maliva-obj/7002634676770999045.mp3"        ],        "url_prefix": null,        "width": null      },      "title": "original sound - duyoungin",      "user_count": 977    },    "rec_list": [],    "similar_music": [],    "similar_music_ids": [],    "status_code": 0,    "status_msg": ""  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "tiktok-music-info-v4",    "billable": true,    "duration_ms": 988  }}